## org.apache.axis.security
Interface SecurityProvider

All Known Implementing Classes:
  ServletSecurityProvider, SimpleSecurityProvider

public interface SecurityProvider

The Axis security provider interface As Axis is designed for use in embedded environments, those environments will often contain their own security databases and potentially authentication managers. This interface allows Axis to obtain authentication information from an opaque source which will presumably be configured into the engine at startup time.

Author:
  Glen Daniels (gdaniels@apache.org)

Method Summary
`AuthenticatedUser` `authenticate(MessageContext msgContext)` Authenticate a user from a username/password pair.
`boolean` `userMatches(AuthenticatedUser user, java.lang.String principal)` See if a user matches a principal name.

Method Detail

### authenticate

    public AuthenticatedUser authenticate(MessageContext msgContext)

  Authenticate a user from a username/password pair.

  Parameters:
    `msgContext` - the MessageContext containing authentication info
  Returns:
    an AuthenticatedUser or null

### userMatches

    public boolean userMatches(AuthenticatedUser user,
                               java.lang.String principal)

  See if a user matches a principal name. The name might be a user or a group.

  Returns:
    true if the user matches the passed name

Copyright © 2005 Apache Web Services Project. All Rights Reserved.